import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Repository } from '@s-ui/domain';
export var TaskRepository = /*#__PURE__*/function (_Repository) {
  _inheritsLoose(TaskRepository, _Repository);
  function TaskRepository() {
    return _Repository.apply(this, arguments) || this;
  }
  var _proto = TaskRepository.prototype;
  _proto.saveTask = function saveTask() {
    throw new Error('[TaskRepository#saveTask] must be implemented');
  };
  _proto.getWork = function getWork() {
    throw new Error('[TaskRepository#getWork] must be implemented');
  };
  _proto.updateWork = function updateWork() {
    throw new Error('[TaskRepository#updateWork] must be implemented');
  };
  _proto.getNonStartedTasks = function getNonStartedTasks() {
    throw new Error('[TaskRepository#getNonStartedTasks] must be implemented');
  };
  _proto.getInProgressTasks = function getInProgressTasks() {
    throw new Error('[TaskRepository#getInProgressTasks] must be implemented');
  };
  _proto.updateTasks = function updateTasks() {
    throw new Error('[TaskRepository#updateTasks] must be implemented');
  };
  return TaskRepository;
}(Repository);