import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Service } from '@s-ui/domain';
export var ErrorWorkTaskService = /*#__PURE__*/function (_Service) {
  _inheritsLoose(ErrorWorkTaskService, _Service);
  function ErrorWorkTaskService(_ref) {
    var _this;
    var config = _ref.config,
      taskRepository = _ref.taskRepository;
    _this = _Service.call(this) || this;
    _this._config = config;
    _this._taskRepository = taskRepository;
    return _this;
  }
  var _proto = ErrorWorkTaskService.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      log = _ref2.log,
      taskId = _ref2.taskId,
      workId = _ref2.workId;
    var work = this._taskRepository.getWork(taskId, workId);
    work.markAsError(log);
    return this._taskRepository.updateWork(work);
  };
  return ErrorWorkTaskService;
}(Service);