import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var CancelWorkTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(CancelWorkTaskUseCase, _UseCase);
  function CancelWorkTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      cancelWorkTaskServiceFactory = _ref.cancelWorkTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._cancelWorkTaskServiceFactory = cancelWorkTaskServiceFactory;
    return _this;
  }
  var _proto = CancelWorkTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState,
      workId = _ref2.workId,
      taskId = _ref2.taskId;
    var result = this._cancelWorkTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute({
      taskId: taskId,
      workId: workId
    });
    return result;
  };
  return CancelWorkTaskUseCase;
}(UseCase);