import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var MarkErrorTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(MarkErrorTaskUseCase, _UseCase);
  function MarkErrorTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      markErrorTaskServiceFactory = _ref.markErrorTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._markErrorTaskServiceFactory = markErrorTaskServiceFactory;
    return _this;
  }
  var _proto = MarkErrorTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState;
    var result = this._markErrorTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute();
    return result;
  };
  return MarkErrorTaskUseCase;
}(UseCase);