import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var ProcessInProgressTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(ProcessInProgressTaskUseCase, _UseCase);
  function ProcessInProgressTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      processInProgressTaskServiceFactory = _ref.processInProgressTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._processInProgressTaskServiceFactory = processInProgressTaskServiceFactory;
    return _this;
  }
  var _proto = ProcessInProgressTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState;
    var result = this._processInProgressTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute();
    return result;
  };
  return ProcessInProgressTaskUseCase;
}(UseCase);