import { TaskEntitiesFactory } from '../Entities/factory.js';
import { LocalStateTaskRepository } from './LocalStateTaskRepository.js';
export var TaskRepositoriesFactory = function TaskRepositoriesFactory() {};
TaskRepositoriesFactory.localStateTaskRepository = function (_ref) {
  var config = _ref.config,
    localState = _ref.localState;
  return new LocalStateTaskRepository({
    config: config,
    localState: localState,
    taskEntityFactory: TaskEntitiesFactory.taskEntity,
    workTaskEntityFactory: TaskEntitiesFactory.workTaskEntity
  });
};