import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var ErrorWorkTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(ErrorWorkTaskUseCase, _UseCase);
  function ErrorWorkTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      errorWorkTaskServiceFactory = _ref.errorWorkTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._errorWorkTaskServiceFactory = errorWorkTaskServiceFactory;
    return _this;
  }
  var _proto = ErrorWorkTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState,
      log = _ref2.log,
      workId = _ref2.workId,
      taskId = _ref2.taskId;
    var result = this._errorWorkTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute({
      log: log,
      taskId: taskId,
      workId: workId
    });
    return result;
  };
  return ErrorWorkTaskUseCase;
}(UseCase);