import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var FinishWorkTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(FinishWorkTaskUseCase, _UseCase);
  function FinishWorkTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      finishWorkTaskServiceFactory = _ref.finishWorkTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._finishWorkTaskServiceFactory = finishWorkTaskServiceFactory;
    return _this;
  }
  var _proto = FinishWorkTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState,
      workId = _ref2.workId,
      taskId = _ref2.taskId,
      result = _ref2.result;
    var finishResult = this._finishWorkTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute({
      taskId: taskId,
      workId: workId,
      result: result
    });
    return finishResult;
  };
  return FinishWorkTaskUseCase;
}(UseCase);